package com.zcloud.service.bus;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业流程日志
 * 作者：limingyu
 * 时间：2023-07-13
 */
public interface MaintenanceFlowService {
    /**
     * 新增
     * @param flow
     */
    void save(PageData flow) throws Exception;

    /**
     * 实施提醒
     * @param pd
     * @return
     */
    List<PageData> implementationReminder(PageData pd) throws Exception;

    /**
     * 更新实施提醒次数
     * @param pd2
     */
    void updateReminderCount(PageData pd2) throws Exception;

    /**
     * 获取延期审批申请信息
     * @param pd
     */
    List<PageData> getApprovalInfo(PageData pd) throws Exception;

    /**
     * 获取验收报告信息
     * @param pd
     * @return
     */
    PageData getAccReportInfo(PageData pd) throws Exception;

    /**
     * 存储验收报告照片
     * @param pd
     */
    void updateAccReport(PageData pd) throws Exception;

    /**
     * 存储交付信息
     * @param pd
     */
    void deliveryConfirmation(PageData pd) throws Exception;

    /**
     * 获取交付信息
     * @param pd
     * @return
     */
    List<PageData> getDeliveryInfo(PageData pd) throws Exception;

    /**
     * 项目负责人管理-交付-确认交付
     * @throws Exception
     */
    void confirmedDelivery(PageData pd) throws Exception;

    /**
     * 实施人员管理-延期申请确认
     * @throws Exception
     */
    void editApplyExtension(PageData pd) throws Exception;

    /**
     * 项目负责人管理-延期审批
     * @param pd
     */
    void updateApprovalInfo(PageData pd) throws Exception;
}
